Bug 1225101 - Make --capsule-templates option true by default
Summary: Make --capsule-templates option true by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Infrastructure
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-26 15:01 UTC by Lukas Zapletal
Modified: 2017-02-23 19:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 13:57:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 10675 0 Normal Closed Make --capsule-templates option true by default 2020-10-30 10:00:15 UTC

Description Lukas Zapletal 2015-05-26 15:01:08 UTC
In the provisioning guide, chapter about Capsules (with DHCP and provisioning), suggest to use --capsule-templates by default. This option is turned off by default, it should be always present when --capsule-tftp* are provided.

Comment 1 RHEL Program Management 2015-05-26 15:02:39 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 2 Lukas Zapletal 2015-05-29 08:09:43 UTC
Description for --capsule-templates option: Configure Capsule to redirect provisioned hosts on it to fetch provisioning templates (PXELinux, iPXE, Kickstarts and others).

Comment 3 Lukas Zapletal 2015-05-29 08:10:15 UTC
Chapter: 2.2.3.3. Configuring DNS, DHCP, and TFTP

Comment 6 Lukas Zapletal 2015-06-02 09:34:04 UTC
Actually, it might be better to turn this on by default. This is no longer a doco bug.

Comment 7 Lukas Zapletal 2015-06-02 09:35:13 UTC
TRIAGE NOTES: Trivial change in the installer makes provisioning usability better. Currently provisioning does not work with Capsules templates.

Comment 8 Lukas Zapletal 2015-06-02 09:42:01 UTC
https://github.com/Katello/puppet-capsule/pull/48

Comment 9 Lukas Zapletal 2015-06-02 09:43:37 UTC
WORKAROUND: Re-run capsule installer with --capsule-templates true or edit /etc/foreman-proxy/setting.d/templates.yml and enable there, make sure the URL is set properly (http not https, valid capsule FQDN and port 8000 not 9090).

Comment 12 Sachin Ghai 2015-06-04 09:22:54 UTC
Verified with sat6.1 GA snap7

on sat6 server,  --capsule-templates is set to true by default.

[root@sat6-qe-rhel66 ~]# katello-installer --help | grep capsule-templates
    --capsule-templates           Enable templates proxying feature (default: true)


on capsule, --templates is set to true by default.

[root@sat6-capsule-rhel66 ~]# capsule-installer --help | grep templates
    --templates                   Enable templates proxying feature (default: true)

Comment 13 Bryan Kearney 2015-08-11 13:21:48 UTC
This bug is slated to be released with Satellite 6.1.

Comment 14 Bryan Kearney 2015-08-12 13:57:26 UTC
This bug was fixed in version 6.1.1 of Satellite which was released on 12 August, 2015.


Note You need to log in before you can comment on or make changes to this bug.